# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/ledisdb/ledisdb
%global goipath         github.com/ledisdb/ledisdb
Version:                0.6
%global commit          d35789ec47e667726160e227e7c05e09627a6d6c

%gometa

%global goaltipaths     github.com/siddontang/ledisdb

%global common_description %{expand:
Ledisdb is a high-performance NoSQL database library and server written in Go.
It's similar to Redis but store data in disk. It supports many data structures
including kv, list, hash, zset, set.

LedisDB now supports multiple different databases as backends.}

%global golicenses      LICENSE
%global godocs          doc CONTRIBUTING.md README.md

Name:           %{goname}
Release:        9%{?dist}
Summary:        A high performance NoSQL Database Server powered by Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/edsrzf/mmap-go)
BuildRequires:  golang(github.com/glendc/gopher-json)
BuildRequires:  golang(github.com/pelletier/go-toml)
BuildRequires:  golang(github.com/peterh/liner)
BuildRequires:  golang(github.com/siddontang/go/bson)
BuildRequires:  golang(github.com/siddontang/go/filelock)
BuildRequires:  golang(github.com/siddontang/go/hack)
BuildRequires:  golang(github.com/siddontang/go/ioutil2)
BuildRequires:  golang(github.com/siddontang/go/log)
BuildRequires:  golang(github.com/siddontang/go/num)
BuildRequires:  golang(github.com/siddontang/go/snappy)
BuildRequires:  golang(github.com/siddontang/go/sync2)
BuildRequires:  golang(github.com/siddontang/goredis)
BuildRequires:  golang(github.com/siddontang/rdb)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/cache)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/filter)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/iterator)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/opt)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/storage)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/util)
BuildRequires:  golang(github.com/ugorji/go/codec)
BuildRequires:  golang(github.com/yuin/gopher-lua)
BuildRequires:  golang(golang.org/x/net/context)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in $(find cmd -mindepth 1 -type d) ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# server: needs network
%gocheck -d server -d store -d rpl
%endif

%files
%license LICENSE
%doc doc CONTRIBUTING.md README.md tools/redis_import/README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0.6-6
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.6-5
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 16:32:28 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.6-1.20210110gitd35789e
- Initial package
